$!  Make.com
$!  VMS script file to compile and link hpgl2ps  
$!
$ on error then continue
$ CCOPT = "/Optimize"
$!
$! Switches for AXP/VAX
$!
$ if f$getsyi("HW_MODEL").ge.1024
$ then
$  ccopt = ccopt + "/prefix=all"
$   Define/NoLog DECC$SYSTEM_INCLUDE SYS$LIBRARY,DECW$INCLUDE
$   Define/NoLog Sys          DECC$SYSTEM_INCLUDE
$ else
$   Define/NoLog VAXC$INCLUDE SYS$LIBRARY,DECW$INCLUDE
$   Define/NoLog Sys          VAXC$INCLUDE
$ endif
$!
$! LNKOPT = "/MAP"
$ If P1 .EQS. "DEBUG" Then CCOPT  = CCOPT  + "/DEBUG/NOOPT"
$ If P1 .EQS. "DEBUG" Then LNKOPT = LNKOPT + "/DEBUG"
$!
$!	Build the option-file
$!
$ open/write optf hpgl2ps.opt
$ write optf "changesizes"
$ write optf "circle"
$ write optf "dxycom"
$ write optf "end_draw"
$ if f$extract(1,3,f$getsyi("Version")) .lts. "6.2"
$   then
$   write optf "getopt"
$   CALL MAKE getopt.OBJ "CC ''CCOPT' getopt" -
		getopt.c
$ endif
$ write optf "getval"
$ write optf "hpglcom"
$ write optf "linesize"
$ write optf "linetype"
$ write optf "manualfeed"
$ write optf "plotcoords"
$ write optf "plotdot"
$ write optf "plotinit"
$ write optf "plotps"
$ write optf "ps_macros"
$ write optf "rectangle"
$ write optf "rintx"
$ write optf "textps"
$ write optf "viewport"
$!
$ close optf
$ On Error Then Continue
$!
$   CALL MAKE CHANGESIZES.OBJ "CC ''CCOPT' changesizes" -
		defn.h changesizes.c
$   CALL MAKE circle.OBJ "CC ''CCOPT' circle" -
		defn.h circle.c
$   CALL MAKE dxy2ps.OBJ "CC ''CCOPT' dxy2ps" -
		defn.h dxy2ps.c
$   CALL MAKE dxycom.OBJ "CC ''CCOPT' dxycom" -
		defn.h dxycom.c
$   CALL MAKE end_draw.OBJ "CC ''CCOPT' end_draw" -
		defn.h end_draw.c
$   CALL MAKE getval.OBJ "CC ''CCOPT' getval" -
		defn.h getval.c
$   CALL MAKE hpgl2ps.OBJ "CC ''CCOPT' hpgl2ps" -
		defn.h hpgl2ps.c
$   CALL MAKE hpglcom.OBJ "CC ''CCOPT' hpglcom" -
		defn.h hpglcom.c
$   CALL MAKE linesize.OBJ "CC ''CCOPT' linesize" -
		defn.h linesize.c
$   CALL MAKE linetype.OBJ "CC ''CCOPT' linetype" -
		defn.h linetype.c
$   CALL MAKE manualfeed.OBJ "CC ''CCOPT' manualfeed" -
		defn.h manualfeed.c
$   CALL MAKE plotcoords.OBJ "CC ''CCOPT' plotcoords" -
		defn.h plotcoords.c
$   CALL MAKE plotdot.OBJ "CC ''CCOPT' plotdot" -
		defn.h plotdot.c
$   CALL MAKE plotinit.OBJ "CC ''CCOPT' plotinit" -
		defn.h plotinit.c
$   CALL MAKE plotps.OBJ "CC ''CCOPT' plotps" -
		defn.h plotps.c
$   CALL MAKE ps_macros.OBJ "CC ''CCOPT' ps_macros" -
		defn.h ps_macros.c
$   CALL MAKE rectangle.OBJ "CC ''CCOPT' rectangle" -
		defn.h rectangle.c
$   CALL MAKE textps.OBJ "CC ''CCOPT' textps" -
		defn.h textps.c
$   CALL MAKE viewport.OBJ "CC ''CCOPT' viewport" -
		defn.h viewport.c
$   CALL MAKE rintx.OBJ "CC ''CCOPT' rintx" -
		rintx.c
$!
$!
$!
$ CALL MAKE hpgl2ps.EXE "LINK ''LNKOPT' hpgl2ps,hpgl2ps.opt/OPT" *.OBJ
$ CALL MAKE dxy2ps.EXE "LINK ''LNKOPT' dxy2ps,hpgl2ps.opt/OPT" *.OBJ
$!
$!
$ EXIT
$!
$!
$!
$!
$MAKE: SUBROUTINE   !SUBROUTINE TO CHECK DEPENDENCIES
$ V = 'F$Verify(0)
$! P1 = What we are trying to make
$! P2 = Command to make it
$! P3 - P8  What it depends on
$
$ If F$Search(P1) .Eqs. "" Then Goto Makeit
$ Time = F$CvTime(F$File(P1,"RDT"))
$arg=3
$Loop:
$       Argument = P'arg
$       If Argument .Eqs. "" Then Goto Exit
$       El=0
$Loop2:
$       File = F$Element(El," ",Argument)
$       If File .Eqs. " " Then Goto Endl
$       AFile = ""
$Loop3:
$       OFile = AFile
$       AFile = F$Search(File)
$       If AFile .Eqs. "" .Or. AFile .Eqs. OFile Then Goto NextEl
$       If F$CvTime(F$File(AFile,"RDT")) .Ges. Time Then Goto Makeit
$       Goto Loop3
$NextEL:
$       El = El + 1
$       Goto Loop2
$EndL:
$ arg=arg+1
$ If arg .Le. 8 Then Goto Loop
$ Goto Exit
$
$Makeit:
$ VV=F$VERIFY(0)
$ write sys$output P2
$ 'P2
$ VV='F$Verify(VV)
$Exit:
$ If V Then Set Verify
$ENDSUBROUTINE

